import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yinhao0424/4254beab985a162d734bce008a9c788e/raw/b4209b4453b3e3e949e952c97bb418dec9bdab1a/College.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Apps = +d.Apps;
      d.Accept = +d.Accept;
      d.Enroll = +d.Enroll;
      d.Top10perc = +d.Top10perc;
      d.Top25perc = +d.Top25perc;
      d.Outstate = +d.Outstate;
      d.Books = +d.Books;
      d.Personal = +d.Personal;
      d.PhD = +d.PhD;
      d.Terminal = +d.Terminal;
      d.Expend = +d.Expend;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};